/****************************************************************************
** gmio
** Copyright Fougue (2 Mar. 2015)
** contact@fougue.pro
**
** This software is a reusable library whose purpose is to provide complete
** I/O support for various CAD file formats (eg. STL)
**
** This software is governed by the CeCILL-B license under French law and
** abiding by the rules of distribution of free software.  You can  use,
** modify and/ or redistribute the software under the terms of the CeCILL-B
** license as circulated by CEA, CNRS and INRIA at the following URL
** "http://www.cecill.info/licences/Licence_CeCILL-B_V1-en.html".
****************************************************************************/

/* Generated by CMake */

#ifndef GMIO_CONFIG_H_CMAKE
#define GMIO_CONFIG_H_CMAKE

/* 64b integer type */
#cmakedefine GMIO_HAVE_INT64_T
#cmakedefine GMIO_HAVE_MSVC_INT64
#cmakedefine GMIO_HAVE_LONG_LONG

/* C99 */
#ifndef GMIO_HAVE_STDINT_H
#cmakedefine GMIO_HAVE_STDINT_H
#endif

#ifndef GMIO_HAVE_STDBOOL_H
#cmakedefine GMIO_HAVE_STDBOOL_H
#endif

#cmakedefine GMIO_HAVE_STRTOF_FUNC
#cmakedefine GMIO_HAVE_POWF_FUNC

/* POSIX */
#cmakedefine GMIO_HAVE_SYS_TYPES_H
#cmakedefine GMIO_HAVE_SYS_STAT_H
#cmakedefine GMIO_HAVE_POSIX_FILENO_FUNC
#cmakedefine GMIO_HAVE_POSIX_FSTAT64_FUNC
#cmakedefine GMIO_HAVE_WIN__FSTAT64_FUNC

/* Compiler byte-swap functions */
#cmakedefine GMIO_HAVE_GCC_BUILTIN_BSWAP16_FUNC
#cmakedefine GMIO_HAVE_GCC_BUILTIN_BSWAP32_FUNC

#cmakedefine GMIO_HAVE_MSVC_BUILTIN_BSWAP_FUNC

/* Target architecture */
#cmakedefine GMIO_HOST_IS_BIG_ENDIAN

#if defined(__APPLE__)
#  if defined(__i386__) || defined(__ppc__)
#    define GMIO_TARGET_ARCH_BIT_SIZE  32
#  elif defined(__x86_64__) || defined(__ppc64__)
#    define GMIO_TARGET_ARCH_BIT_SIZE  64
#  else
#    error "Unknown architecture!"
#  endif
#else
#  define GMIO_TARGET_ARCH_BIT_SIZE  @GMIO_TARGET_ARCH_BIT_SIZE@
#endif

/* Header: gmio_core/internal/string_parse.h */
#ifndef GMIO_STRINGPARSE_USE_FAST_ATOF
/* Use fast_atof() instead of std string-to-float functions */
#  define GMIO_STRINGPARSE_USE_FAST_ATOF
#endif

/* Header: gmio_core/internal/string_utils.h */
/*#define GMIO_STRINGUTILS_CTYPE_H*/

#endif /* GMIO_CONFIG_H_CMAKE */
